> For the complete documentation index, see [llms.txt](https://docs.tokensfarm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tokensfarm.com/for-developers/perpetualtokensfarm/getters.md).

# Getters

Description of all getters<br>

```solidity
getAllPendingStakes() returns (DepositRequest[] memory) - returns all stakes that are ready to be finalised
```

```solidity
getAllPendingWithdrawals(address _user) returns (UnStakeRequest[] memory) - returns all stakes that are scheduled to be withdrawn
```

```solidity
function pending(
    address _user,
    uint256 stakeId
)  returns (uint256) - returnes amount that user earned for specific stake
```

```solidity
function totalPending() returns (uint256) - amount that is waiting to be withdrawn on global level
```

```solidity
function getUserStakesAndPendingAmounts(address user)
 returns (
  uint256[] memory,
  uint256[] memory,
  uint256[] memory
) - returnes all user stakes, pending amount for those stakes and deposit time for those stakes
```

```solidity
function getTotalRewardsLockedUnlocked() returns (uint256, uint256)
- returnes rewards locked and unlocked
```

```solidity
function getStatsForUser(
    address _user
) returns (uint256, uint256, uint256) - returns totalStakedCurrently, totalEarnedForLifeTime, currentPendingAmount
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tokensfarm.com/for-developers/perpetualtokensfarm/getters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
